Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
hilfe ich brauche ein Java [solved]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1133
Location: Baden / Germany

PostPosted: Wed Jun 04, 2014 10:24 am    Post subject: hilfe ich brauche ein Java [solved] Reply with quote

Hallo zusammen,

ich bin mal wieder an den Punkt gekommen, den ich wirklich hasse:

Ich brauche Java :?

Und zwar für nen VPN Client der das voraussetzt.
Eigentlich will ich das ganze Oracle Gelumpe überhaupt nicht. Alternativ müsste ich ne Win VM aufsetzten mit der Win Version des VPN Clients drin.
Das ist mir aber auch zu blöd. Bisher lebte ich ganz gut mit meinem Linux Desktop.

Ob ich jetzt zwingend das Oraclezeugs brauch, oder ob es auch ein anderes jre tut weiß ich nicht.

Nach langem hin und her hab ich mich nun doch durch gerungen dazu.

Hab also das hier in der packages.keywords

Code:
dev-java/oracle-jre-bin:1.7


Wenn ich jetzt das aber bauen will will er unbedingt das icedtea java, welches ich aber wiederum auch nicht will, für was auch.

Nur verstehen warum er das will tue ich nicht. Entweder ist das noch der Fieberwahn oder werde ich doch langsam alt:

Code:
emerge -ptv dev-java/oracle-jre-bin

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N F  ~] dev-java/oracle-jre-bin-1.7.0.60:1.7  USE="X alsa -fontconfig -jce -nsplugin -pax_kernel" 45,884 kB
[nomerge       ] virtual/jdk-1.6.0-r2:1.6
[nomerge       ]  dev-java/icedtea-bin-6.1.12.7:6  USE="X alsa cups -cjk -doc -examples -nsplugin (-selinux) -source"
[nomerge       ]   app-admin/eselect-java-0.1.0
[ebuild  N     ]    virtual/jre-1.6.0-r1:1.6  0 kB
[ebuild  N     ]     virtual/jdk-1.6.0-r2:1.6  0 kB
[ebuild  N     ]      dev-java/icedtea-bin-6.1.12.7:6  USE="X alsa cups -cjk -doc -examples -nsplugin (-selinux) -source" 38,078 kB
[ebuild  N     ]       app-admin/eselect-java-0.1.0  71 kB
[ebuild  N     ]       media-fonts/dejavu-2.33  USE="X -fontforge" 4,767 kB
[ebuild  N     ]       dev-java/java-config-2.2.0:2  PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 51 kB
[ebuild  N     ]        dev-java/java-config-wrapper-0.16  8 kB
[ebuild  N     ]        sys-apps/baselayout-java-0.1.0  71 kB

Total: 9 packages (9 new), Size of downloads: 88,927 kB
Fetch Restriction: 1 package (1 unsatisfied)

Fetch instructions for dev-java/oracle-jre-bin-1.7.0.60:
 * Please download 'jre-7u60-linux-x64.tar.gz' from:
 * 'http://www.oracle.com/technetwork/java/javase/downloads/jre7-downloads-1880261.html'
 * and move it to '/usr/portage/distfiles'



Eigentlich will ich nur das jre?!?
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes


Last edited by tazinblack on Wed Jun 04, 2014 11:08 am; edited 1 time in total
Back to top
View user's profile Send private message
py-ro
Veteran
Veteran


Joined: 24 Sep 2002
Posts: 1733
Location: St. Wendel

PostPosted: Wed Jun 04, 2014 10:35 am    Post subject: Reply with quote

Er braucht das icedtea für das eselect modul, bzw. java-config.

Ungetestet: Theoretisch solltest mit --nodeps und dann nochmal mit deps zum Ziel kommen.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3717
Location: Germany

PostPosted: Wed Jun 04, 2014 10:50 am    Post subject: Reply with quote

Vermutlich hilft es passend zu deiner gewünschten oracle-jre-bin:1.7 Version auch
virtual/jre:1.7
passend mit freizuschalten.
(ungetestet)
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1133
Location: Baden / Germany

PostPosted: Wed Jun 04, 2014 11:00 am    Post subject: Reply with quote

py-ro wrote:
Er braucht das icedtea für das eselect modul, bzw. java-config.


sehen tu ich das auch, aber verstehen tu ich es nicht!!!
Wieso muss ich denn für ein eselect modul, welches mir die Voreinstellung eines installierten Javas vereinfachen soll, ein bestimmtes Java installiert haben?
Kann ich da rückschließen, dass das eselect modul in java geschrieben ist und nur mit icedtea läuft?


py-ro wrote:
Ungetestet: Theoretisch solltest mit --nodeps und dann nochmal mit deps zum Ziel kommen.

Hab ich mir auch schon überlegt.
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1133
Location: Baden / Germany

PostPosted: Wed Jun 04, 2014 11:07 am    Post subject: Reply with quote

Josef.95 wrote:
Vermutlich hilft es passend zu deiner gewünschten oracle-jre-bin:1.7 Version auch
virtual/jre:1.7
passend mit freizuschalten.
(ungetestet)


Da siehst Du mal, wieso Du advocate bist und wir nur user:

Code:
emerge -ptv dev-java/oracle-jre-bin

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] dev-java/oracle-jre-bin-1.7.0.60:1.7  USE="X alsa -fontconfig -jce -nsplugin -pax_kernel"
[nomerge       ]  app-admin/eselect-java-0.1.0
[ebuild  N    ~]   virtual/jre-1.7.0:1.7  0 kB
[ebuild  N F  ~]    dev-java/oracle-jre-bin-1.7.0.60:1.7  USE="X alsa -fontconfig -jce -nsplugin -pax_kernel" 45,884 kB
[ebuild  N     ]     app-admin/eselect-java-0.1.0  71 kB
[ebuild  N     ]     dev-java/java-config-2.2.0:2  PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 51 kB
[ebuild  N     ]      dev-java/java-config-wrapper-0.16  8 kB
[ebuild  N     ]      sys-apps/baselayout-java-0.1.0  71 kB

Total: 6 packages (6 new), Size of downloads: 46,083 kB
Fetch Restriction: 1 package (1 unsatisfied)

Fetch instructions for dev-java/oracle-jre-bin-1.7.0.60:
 * Please download 'jre-7u60-linux-x64.tar.gz' from:
 * 'http://www.oracle.com/technetwork/java/javase/downloads/jre7-downloads-1880261.html'
 * and move it to '/usr/portage/distfiles'

_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3717
Location: Germany

PostPosted: Wed Jun 04, 2014 11:31 am    Post subject: Reply with quote

tazinblack wrote:
Da siehst Du mal, wieso Du advocate bist und wir nur user:

Hehe, hat damit nichts zu tun,
es reicht auch 2000 Fragen zu stellen - dann wird man auch Advokat ;)
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3258
Location: de

PostPosted: Wed Jun 04, 2014 4:39 pm    Post subject: Reply with quote

Ich hab auf einem Rechner oracle-jdk und auf dem anderen icedtea.

Was in den Abhängigkeiten steht, ist erstmal egal. Auch das --nodeps braucht man nicht.

Wenn in der Installationsliste icedtea drinsteht, du aber lieber die oracle-jdk installieren wirst, installierst du einfach die aktuelle oracle-jdk mit
Code:
emerge -1 oracle-jdk-bin

Dazu muss(te) die Oracle-Lizenz in /etc/portage/package.license gesetzt werden und das Paket von der Oracle-Site manuell runtergeladen werden. Einmal installiert, nimmt Gentoo dann automatisch Oracle und will icedtea nicht mehr installieren.

Pakete, die Java benötigen, bekommen die Befriedigung ihrer Abhängigkeit durch das virtual-Paket.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum